Bug 504449 - While in operation Openswan encounters a lot of issues about SELinux.
While in operation Openswan encounters a lot of issues about SELinux.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openswan (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Avesh Agarwal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-07 01:03 EDT by Michael
Modified: 2009-12-18 04:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:32:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael 2009-06-07 01:03:50 EDT
Description of problem:
While Openswan still works unlike racoon, there are a lot of setroubleshoot messages of SELinux preventing this and that.

Openswan stops there are messages:

setroubleshoot: SELinux is preventing sh (ipsec_mgmt_t) "read write" ipsec_t. For complete SELinux messages. run sealert -l 7b79...
setroubleshoot: SELinux is preventing sh (ipsec_mgmt_t) "read write" ipsec_t. For complete SELinux messages. run sealert -l 7b79...
setroubleshoot: SELinux is preventing ip (ifconfig_t) "write" ipsec_t. For complete SELinux messages. run sealert -l 8e75...

Openswan starts there is a message:

setroubleshoot: SELinux is preventing the lwdnsq from using potentially mislabeled files (./tmp). For complete SELinux messages. run sealert -l 58f5...

A client connects to Openswan there are messages:

setroubleshoot: SELinux is preventing sh (ipsec_mgmt_t) "read write" ipsec_t. For complete SELinux messages. run sealert -l 7b79...
setroubleshoot: SELinux is preventing sh (ipsec_mgmt_t) "read write" ipsec_t. For complete SELinux messages. run sealert -l 7b79...
setroubleshoot: SELinux is preventing sh (ipsec_mgmt_t) "read write" ipsec_t. For complete SELinux messages. run sealert -l 7b79...
setroubleshoot: SELinux is preventing ip (ifconfig_t) "write" ipsec_t. For complete SELinux messages. run sealert -l 8e75...

Even when a client disconnects I see:

setroubleshoot: SELinux is preventing sh (ipsec_mgmt_t) "read write" ipsec_t. For complete SELinux messages. run sealert -l 7b79...
setroubleshoot: SELinux is preventing sh (ipsec_mgmt_t) "read write" ipsec_t. For complete SELinux messages. run sealert -l 7b79...
setroubleshoot: SELinux is preventing ip (ifconfig_t) "write" ipsec_t. For complete SELinux messages. run sealert -l 8e75...

A server connects to a client again I see:

setroubleshoot: SELinux is preventing sh (ipsec_mgmt_t) "read write" ipsec_t. For complete SELinux messages. run sealert -l 7b79...
setroubleshoot: SELinux is preventing sh (ipsec_mgmt_t) "read write" ipsec_t. For complete SELinux messages. run sealert -l 7b79...
setroubleshoot: SELinux is preventing sh (ipsec_mgmt_t) "read write" ipsec_t. For complete SELinux messages. run sealert -l 7b79...
setroubleshoot: SELinux is preventing ip (ifconfig_t) "write" ipsec_t. For complete SELinux messages. run sealert -l 8e75...

Even while it works I see some failures:

pluto[12027]: Changed path to directory '/etc/ipsec.d/cacerts'
pluto[12027]:   loaded CA cert file 'cacert.pem' (1631 bytes)
pluto[12027]: Changed path to directory '/etc/ipsec.d/aacerts'
pluto[12027]: Changed path to directory '/etc/ipsec.d/ocspcerts'
pluto[12027]: Changing to directory '/etc/ipsec.d/crls'
pluto[12027]:   loaded crl file 'crl.pem' (711 bytes)
pluto[12027]: Changing back to directory '/' failed - (2 No such file or directory)
pluto[12027]: Changing back to directory '/' failed - (2 No such file or directory)
pluto[12027]: | inserting event EVENT_LOG_DAILY, timeout in 66011 seconds

Seeing all the messages, I would say Openswan doesn't work at all if I knew, well, it actually does.
So... What's TH up?

Version-Release number of selected component (if applicable):
# rpm -qi openswan
Name        : openswan                     Relocations: (not relocatable)
Version     : 2.6.19                            Vendor: Fedora Project
Release     : 1.fc10

How reproducible:
Constantly and too frequently.
The frequently popping up window of setroubleshooter has almost blurred the upper-right corner of the screen.

Steps to Reproduce:
1. Run Openswan
2.
3.
  
Actual results:


Expected results:
No errors/failures.

Additional info:
Comment 1 Bug Zapper 2009-11-18 07:04:35 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 04:32:54 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.